Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.webreport.beans
Class FlyMeasure

    java.lang.Object
      jet.webreport.beans.FlyMeasure

All Implemented Interfaces:
  java.io.Serializable

    public class FlyMeasure

extends java.lang.Object
implements java.io.Serializable

FlyMeasure describes a dynamic measure.

See Also:
  Serialized Form

Constructor Summary
`FlyMeasure(java.lang.String basedResource, java.lang.String displayName, java.lang.String function)` Creates a new `FlyMeasure` instance by the specified resource name, display name and function.

Method Summary
`java.lang.String` | `getBasedResource()` Returns the based resource of the dynamic measure.
`java.lang.String` | `getDataType()` Returns the data type of the dynamic measure.
`java.lang.String` | `getDisplayName()` Returns the display name of the dynamic measure.
`java.lang.String` | `getFunction()` Returns the function of the dynamic measure.
`NameInfo` | `getNameInfo()` Returns the name information of the dynamic measure.
`void` | `setBasedResource(java.lang.String basedResource)`
`void` | `setDataType(java.lang.String dataType)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setFunction(java.lang.String function)`
`void` | `setNameInfo(NameInfo nameInfo)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlyMeasure

    public FlyMeasure(java.lang.String basedResource,
                      java.lang.String displayName,
                      java.lang.String function)

  Creates a new `FlyMeasure` instance by the specified resource name, display name and function.

  Parameters:
    `basedResource` - the resource name.
    `displayName` - the display name.
    `function` - the function.

Method Detail

### getDataType

    public java.lang.String getDataType()

  Returns the data type of the dynamic measure.

  Returns:
    the data type.

### setDataType

    public void setDataType(java.lang.String dataType)

### getNameInfo

    public NameInfo getNameInfo()

  Returns the name information of the dynamic measure.

  Returns:
    the name information `NameInfo`.

### setNameInfo

    public void setNameInfo(NameInfo nameInfo)

### getBasedResource

    public java.lang.String getBasedResource()

  Returns the based resource of the dynamic measure.

  Returns:
    the based resource.

### setBasedResource

    public void setBasedResource(java.lang.String basedResource)

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of the dynamic measure.

  Returns:
    the display name.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getFunction

    public java.lang.String getFunction()

  Returns the function of the dynamic measure.

  Returns:
    the function.

### setFunction

    public void setFunction(java.lang.String function)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD